## python-livereload 1.0.1

=== Makefile ===
.PHONY: clean-pyc clean-build docs

clean: clean-build clean-pyc


clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr *.egg-info


clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

install:
	python setup.py install

docs:
	$(MAKE) -C docs html

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PythonLiveReload.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PythonLiveReload.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PythonLiveReload"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PythonLiveReload"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-livereload (1.0.1-1) unstable; urgency=low

  * Initial release. (Closes: #723571)

 -- Agustin Henze <tin@debian.org>  Tue, 17 Sep 2013 10:53:36 -0300

=== debian/control ===
Source: python-livereload
Section: python
Priority: optional
Maintainer: Agustin Henze <tin@debian.org>
Build-Depends: debhelper (>= 9),
 python-all,
 python-setuptools,
 python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
 python-docopt,
 python-tornado,
 help2man,
Standards-Version: 3.9.4
X-Python-Version: >= 2.7
Homepage: https://github.com/lepture/python-livereload
Vcs-Git: git://anonscm.debian.org/collab-maint/python-livereload.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-livereload.git

Package: python-livereload
Architecture: all
Depends: ${python:Depends}, python2.7, ${misc:Depends}
Recommends: python-pyinotify, node-less
Suggests: python-livereload-doc, coffeescript, node-uglify, python-slimmer
Description: Refresh the browser automatically when a file has been updated
 Web Developers need to refresh a browser everytime when he saved a file (css,
 javascript, html), it is really boring. LiveReload will take care of that for
 you. When you saved a file, your browser will refresh itself. And what's more,
 it can do some tasks like compiling less to css before the browser refreshing.

Package: python-livereload-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: python-livereload
Description: Refresh the browser automatically when a file has been updated (documentation)
 Web Developers need to refresh a browser everytime when he saved a file (css,
 javascript, html), it is really boring. LiveReload will take care of that for
 you. When you saved a file, your browser will refresh itself. And what's more,
 it can do some tasks like compiling less to css before the browser refreshing.
 .
 This package contains API documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS :=  $(shell pyversions -s)
UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n -e's/^Version: \(.*\)-[^-]\+/\1/p')

%:
	dh $@ --with python2 --with sphinxdoc

override_dh_auto_clean:
	dh_auto_clean --all
	rm -rf build
	rm -rf python-livereload.egg-info
	rm -rf docs/_build
	rm -f debian/livereload
	rm -f debian/livereload.1

override_dh_auto_install:
	set -ex; \
	for py in $(PYVERS); do \
		$$py setup.py install --root debian/python-livereload \
				      --install-layout=deb; \
	done
	set -ex; \
		cd docs; \
		sphinx-build -C -b html -Dmaster_doc=index . _build/html; \
		cd -;

override_dh_installman:
	env | grep debian
	echo -e '#!/bin/bash\nPYTHONPATH=.. python -c "from livereload.cli import main; main()" $$@' > debian/livereload
	chmod u+x debian/livereload
	help2man -N \
		--version-string=$(UPSTREAM_VERSION) \
		-o debian/livereload.1 \
		-n "Refresh the browser automatically when a file of your project has been updated." \
		debian/livereload
	dh_installman debian/livereload.1

get-orig-source:
	@if [ ! -d "debian" ] ; then \
		echo 'Run this from the top directory of the Debian source' >&2; \
		exit 1; \
	fi
	wget https://github.com/lepture/python-livereload/archive/v$(UPSTREAM_VERSION).tar.gz \
		-O ../python-livereload_$(UPSTREAM_VERSION).orig.tar.gz;

## python-livereload 2.2.0

=== debian/changelog ===
python-livereload (2.2.0-1) unstable; urgency=medium

  * Imported Upstream version 2.2.0 (Closes: #750720)
  * Improve package description (Closes: #724900). Thanks to Justin B Rye!
  * Bumped Standard-Version to 3.9.5 (no changes required)
  * Fix override_dh_auto_install target in debian/rules
  * Remove bdepends on docopt

 -- Agustin Henze <tin@debian.org>  Fri, 13 Jun 2014 21:08:20 -0300

=== debian/control ===
Source: python-livereload
Section: python
Priority: optional
Maintainer: Agustin Henze <tin@debian.org>
Build-Depends: debhelper (>= 9),
 python-all,
 python-setuptools,
 python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
 python-tornado,
 help2man,
Standards-Version: 3.9.5
X-Python-Version: >= 2.7
Homepage: https://github.com/lepture/python-livereload
Vcs-Git: git://anonscm.debian.org/collab-maint/python-livereload.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-livereload.git

Package: python-livereload
Architecture: all
Depends: ${python:Depends}, python2.7, ${misc:Depends}
Recommends: python-pyinotify, node-less
Suggests: python-livereload-doc, coffeescript, node-uglify, python-slimmer
Description: automatic browser refresher
 It is really boring for Web developers to need to refresh their browser
 every time they save a (CSS, JavaScript, or HTML) file. LiveReload will
 take care of that for you, so that when you save a file, your browser
 will refresh itself - and what's more, it can perform tasks such as
 compiling LESS to CSS before the browser reload.

Package: python-livereload-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: python-livereload
Description: automatic browser refresher (documentation)
 It is really boring for Web developers to need to refresh their browser
 every time they save a (CSS, JavaScript, or HTML) file. LiveReload will
 take care of that for you, so that when you save a file, your browser
 will refresh itself - and what's more, it can perform tasks such as
 compiling LESS to CSS before the browser reload.
 .
 This package contains API documentation and examples.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# TODO build python3 package
 
 PYVERS :=  $(shell pyversions -s)
 UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n -e's/^Version: \(.*\)-[^-]\+/\1/p')
@@ -29,14 +31,15 @@
 		sphinx-build -C -b html -Dmaster_doc=index . _build/html; \
 		cd -;
 
+override_dh_auto_test:
+
 override_dh_installman:
-	env | grep debian
-	echo -e '#!/bin/bash\nPYTHONPATH=.. python -c "from livereload.cli import main; main()" $$@' > debian/livereload
+	echo -e '#!/bin/bash\nPYTHONPATH=$$PWD bin/livereload $$@' > debian/livereload
 	chmod u+x debian/livereload
 	help2man -N \
 		--version-string=$(UPSTREAM_VERSION) \
 		-o debian/livereload.1 \
-		-n "Refresh the browser automatically when a file of your project has been updated." \
+		-n "Automatic browser refresher" \
 		debian/livereload
 	dh_installman debian/livereload.1

## python-livereload 2.2.2

=== debian/changelog ===
python-livereload (2.2.2-1) unstable; urgency=medium

  * Imported Upstream version 2.2.2
  * Bumped Standard-Version to 3.9.6 (no changes required)

 -- Agustin Henze <tin@debian.org>  Mon, 20 Oct 2014 20:32:27 -0300

python-livereload (2.2.1-1) unstable; urgency=medium

  * Imported Upstream version 2.2.1
  * Add python3-livereload binary package

 -- Agustin Henze <tin@debian.org>  Sat, 30 Aug 2014 15:46:28 -0700

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,36 @@
 Build-Depends: debhelper (>= 9),
  python-all,
  python-setuptools,
+ python3-all,
+ python3-setuptools,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
  python-tornado,
  help2man,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.3
 Homepage: https://github.com/lepture/python-livereload
 Vcs-Git: git://anonscm.debian.org/collab-maint/python-livereload.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-livereload.git
 
 Package: python-livereload
 Architecture: all
-Depends: ${python:Depends}, python2.7, ${misc:Depends}
+Depends: ${python:Depends},${misc:Depends}
 Recommends: python-pyinotify, node-less
 Suggests: python-livereload-doc, coffeescript, node-uglify, python-slimmer
 Description: automatic browser refresher
+ It is really boring for Web developers to need to refresh their browser
+ every time they save a (CSS, JavaScript, or HTML) file. LiveReload will
+ take care of that for you, so that when you save a file, your browser
+ will refresh itself - and what's more, it can perform tasks such as
+ compiling LESS to CSS before the browser reload.
+
+Package: python3-livereload
+Architecture: all
+Depends: ${python3:Depends}, ${misc:Depends}
+Recommends: python3-pyinotify, node-less
+Suggests: python-livereload-doc, coffeescript, node-uglify, python-slimmer
+Description: automatic browser refresher (Python 3)
  It is really boring for Web developers to need to refresh their browser
  every time they save a (CSS, JavaScript, or HTML) file. LiveReload will
  take care of that for you, so that when you save a file, your browser

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS :=  $(shell pyversions -s)
UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n -e's/^Version: \(.*\)-[^-]\+/\1/p')
export PYBUILD_NAME=livereload
export ROOT_PATH=$(CURDIR)


%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean --all
	rm -rf docs/_build
	rm -f debian/livereload.1

override_dh_auto_install:
	dh_auto_install
	set -ex; \
		cd docs; \
		sphinx-build -C -b html -Dmaster_doc=index . _build/html; \
		cd -;
	rm -r debian/python-livereload/usr/bin

override_dh_auto_test:

override_dh_installman:
	help2man -N \
		--version-string=$(UPSTREAM_VERSION) \
		-o debian/livereload.1 \
		-n "Automatic browser refresher" \
		debian/livereload
	dh_installman

get-orig-source:
	@if [ ! -d "debian" ] ; then \
		echo 'Run this from the top directory of the Debian source' >&2; \
		exit 1; \
	fi
	wget https://github.com/lepture/python-livereload/archive/v$(UPSTREAM_VERSION).tar.gz \
		-O ../python-livereload_$(UPSTREAM_VERSION).orig.tar.gz;

## python-livereload 2.4.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-.PHONY: clean-pyc clean-build docs
+.PHONY: clean-pyc clean-build docs test coverage
 
 clean: clean-build clean-pyc
 
@@ -19,3 +19,10 @@
 
 docs:
 	$(MAKE) -C docs html
+
+test:
+	@nosetests -s
+
+coverage:
+	@rm -f .coverage
+	@nosetests --with-coverage --cover-package=livereload --cover-html

=== debian/changelog ===
python-livereload (2.4.0-1) unstable; urgency=medium

  * Imported Upstream version 2.4.0
  * Add missing build-dependency on dh-python

 -- Agustin Henze <tin@debian.org>  Fri, 21 Aug 2015 19:35:55 +0200

=== debian/watch ===
version=3

https://github.com/lepture/python-livereload/tags .*archive\/v?([0-9.]*).tar.gz

## python-livereload 2.5.1

=== debian/changelog ===
python-livereload (2.5.1-1) unstable; urgency=medium

  * New upstream version 2.5.1

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 26 Nov 2017 13:33:59 -0200

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Agustin Henze <tin@debian.org>
 Build-Depends: debhelper (>= 9),
+ dh-python,
  python-all,
  python-setuptools,
  python3-all,

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,6 @@
 PYVERS :=  $(shell pyversions -s)
 UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n -e's/^Version: \(.*\)-[^-]\+/\1/p')
 export PYBUILD_NAME=livereload
-export ROOT_PATH=$(CURDIR)
 
 
 %:

## python-livereload 2.5.2

=== debian/changelog ===
python-livereload (2.5.2-1) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * New upstream version 2.5.2
  * wrap-and-sort
  * d/control:
    - Add python{,3}-pkg-resources as a dependency of both python and python3
      package. (Closes: #896315, #896399)
    - Raise dh dependency level to 11
    - Bump Standards-Version to 4.1.4
    - Change erroneous suggestion in python3-livereload from python-slimmer to
      python3-slimmer
    - Vcs urls set to salsa
    - Add the basic python testsuite
    - Drop the obsolete X-Python{,3} entries
    - Add django in suggestion of both python{,3} packages
  * d/compat: Raised level to 11
  * d/python-livereload-doc.doc-base:
    - Updated file paths according to dh
      compat.
    - Fixed typo: everytime => every time
  * d/copyright:
    - Updated Format: url to use HTTPS link
    - Add myself
  * d/watch:
    - Use version 4 and use uscan's tags
  * d/s/lintian-overrides:
    - livereload.js has a weird first line but is not minified
  * d/rules:
    - Replace dpkg-parsechangelog call with the use of DEB_VERSION_UPSTREAM
    - Add a wrap-and-sort rule as a reminder of the way it's to be used.
    - Remove the get-orig-source target.
  * d/patches:
    - Add patch 0001 to fix two privacy breaches in the documentation of the
      livereload library.
    - Add patch 0002 to fix a failing test
  * d/tests/control:
    - Set up the upstream tests in autopkgtest

  [ Agustin Henze ]
  * Add gci
  * Add Pierri-Elliott as uploader

 -- Pierre-Elliott Bécue <becue@crans.org>  Wed, 16 May 2018 10:26:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,33 @@
 Section: python
 Priority: optional
 Maintainer: Agustin Henze <tin@debian.org>
-Build-Depends: debhelper (>= 9),
+Uploaders: Pierre-Elliott Bécue <becue@crans.org>
+Build-Depends:
+ debhelper (>= 11),
  dh-python,
+ help2man,
  python-all,
  python-setuptools,
+ python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
+ python-tornado,
  python3-all,
  python3-setuptools,
- python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
- python-tornado,
- help2man,
-Standards-Version: 3.9.6
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/lepture/python-livereload
-Vcs-Git: git://anonscm.debian.org/collab-maint/python-livereload.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-livereload.git
+Vcs-Git: https://salsa.debian.org/debian/python-livereload.git
+Vcs-Browser: https://salsa.debian.org/debian/python-livereload
 
 Package: python-livereload
 Architecture: all
-Depends: ${python:Depends},${misc:Depends}
-Recommends: python-pyinotify, node-less
-Suggests: python-livereload-doc, coffeescript, node-uglify, python-slimmer
+Depends: python-pkg-resources, ${misc:Depends}, ${python:Depends}
+Recommends: node-less, python-pyinotify
+Suggests:
+ coffeescript,
+ node-uglify,
+ python-django,
+ python-flask,
+ python-livereload-doc,
+ python-slimmer,
 Description: automatic browser refresher
  It is really boring for Web developers to need to refresh their browser
  every time they save a (CSS, JavaScript, or HTML) file. LiveReload will
@@ -32,9 +38,15 @@
 
 Package: python3-livereload
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}
-Recommends: python3-pyinotify, node-less
-Suggests: python-livereload-doc, coffeescript, node-uglify, python-slimmer
+Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
+Recommends: node-less, python3-pyinotify
+Suggests:
+ coffeescript,
+ node-uglify,
+ python-livereload-doc,
+ python3-django,
+ python3-flask,
+ python3-slimmer,
 Description: automatic browser refresher (Python 3)
  It is really boring for Web developers to need to refresh their browser
  every time they save a (CSS, JavaScript, or HTML) file. LiveReload will

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+include /usr/share/dpkg/pkg-info.mk
+
 PYVERS :=  $(shell pyversions -s)
-UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n -e's/^Version: \(.*\)-[^-]\+/\1/p')
 export PYBUILD_NAME=livereload
 
 
@@ -29,16 +30,15 @@
 
 override_dh_installman:
 	help2man -N \
-		--version-string=$(UPSTREAM_VERSION) \
+		--version-string=$(DEB_VERSION_UPSTREAM) \
 		-o debian/livereload.1 \
 		-n "Automatic browser refresher" \
 		debian/livereload
 	dh_installman
 
-get-orig-source:
+wrap-and-sort:
 	@if [ ! -d "debian" ] ; then \
 		echo 'Run this from the top directory of the Debian source' >&2; \
 		exit 1; \
 	fi
-	wget https://github.com/lepture/python-livereload/archive/v$(UPSTREAM_VERSION).tar.gz \
-		-O ../python-livereload_$(UPSTREAM_VERSION).orig.tar.gz;
+	wrap-and-sort -st

## python-livereload 2.6.0

=== debian/changelog ===
python-livereload (2.6.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Drop python-sphinx from B-D and build only with Python 3 version of
    sphinx to allow removing of Python 2.7 in future

  [ Pierre-Elliott Bécue ]
  * New upstream release: 2.6.0
  * d/control:
    - Replace my Crans address by my Debian's one
    - Bump Standards-Version to 4.2.1.
    - Add specific elements to both python{,3}-livereload long description

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 09 Dec 2018 21:40:16 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: python
 Priority: optional
 Maintainer: Agustin Henze <tin@debian.org>
-Uploaders: Pierre-Elliott Bécue <becue@crans.org>
+Uploaders: Pierre-Elliott Bécue <peb@debian.org>
 Build-Depends:
  debhelper (>= 11),
  dh-python,
  help2man,
  python-all,
  python-setuptools,
- python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
  python-tornado,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.1.4
+ python3-sphinx,
+Standards-Version: 4.2.1
 Homepage: https://github.com/lepture/python-livereload
 Vcs-Git: https://salsa.debian.org/debian/python-livereload.git
 Vcs-Browser: https://salsa.debian.org/debian/python-livereload
@@ -35,6 +35,8 @@
  take care of that for you, so that when you save a file, your browser
  will refresh itself - and what's more, it can perform tasks such as
  compiling LESS to CSS before the browser reload.
+ .
+ This package contains the Python 2 version of livereload.
 
 Package: python3-livereload
 Architecture: all
@@ -53,6 +55,8 @@
  take care of that for you, so that when you save a file, your browser
  will refresh itself - and what's more, it can perform tasks such as
  compiling LESS to CSS before the browser reload.
+ .
+ This package contains the Python 3 version of livereload.
 
 Package: python-livereload-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	dh_auto_install
 	set -ex; \
 		cd docs; \
-		sphinx-build -C -b html -Dmaster_doc=index . _build/html; \
+		python3 -m sphinx -C -b html -Dmaster_doc=index . _build/html; \
 		cd -;
 	rm -r debian/python-livereload/usr/bin

=== debian/tests/control ===
Test-Command: python3 setup.py test
Depends: @,
         python3-setuptools,
         python3-django,
Restrictions: allow-stderr

Test-Command: python2 setup.py test
Depends: @,
         python-setuptools,
         python-django,
Restrictions: allow-stderr

## python-livereload 2.6.1

=== debian/changelog ===
python-livereload (2.6.1-3) unstable; urgency=medium

  * Drop Python2 package (Closes: #943960, #937895)
  * d/control:
    - Use debhelper-compat instead of debian/compat (and bump to 12)
    - Bump Standards-Version to 4.4.1
    - Add Rules-Requires-Root: no field
  * d/gitlab-ci.yml refreshed

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 03 Nov 2019 22:59:58 +0100

python-livereload (2.6.1-2) unstable; urgency=medium

  * d/p/0002: Sorry attempt to fix a failing test. See the patch notes to get
    a clearer intel. Also see
    https://github.com/lepture/python-livereload/issues/200

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 20 Jul 2019 20:36:14 +0200

python-livereload (2.6.1-1) unstable; urgency=medium

  * New upstream release 2.6.1
    - Dropped support for python 2.6, 3.3 and 3.4
  * d/control:
    - Bumped Standards-Version to 4.4.0. No change required.

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 14 Jul 2019 16:02:39 +0200

=== debian/control ===
Source: python-livereload
Section: python
Priority: optional
Maintainer: Agustin Henze <tin@debian.org>
Uploaders: Pierre-Elliott Bécue <peb@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 help2man,
 python3-all,
 python3-setuptools,
 python3-sphinx,
 python3-tornado
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://github.com/lepture/python-livereload
Vcs-Git: https://salsa.debian.org/debian/python-livereload.git
Vcs-Browser: https://salsa.debian.org/debian/python-livereload

Package: python-livereload-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: python3-livereload
Description: automatic browser refresher (documentation)
 It is really boring for Web developers to need to refresh their browser
 every time they save a (CSS, JavaScript, or HTML) file. LiveReload will
 take care of that for you, so that when you save a file, your browser
 will refresh itself - and what's more, it can perform tasks such as
 compiling LESS to CSS before the browser reload.
 .
 This package contains API documentation and examples.

Package: python3-livereload
Architecture: all
Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
Recommends: node-less, python3-pyinotify
Suggests:
 coffeescript,
 node-uglify,
 python-livereload-doc,
 python3-django,
 python3-flask,
 python3-slimmer,
Description: automatic browser refresher (Python 3)
 It is really boring for Web developers to need to refresh their browser
 every time they save a (CSS, JavaScript, or HTML) file. LiveReload will
 take care of that for you, so that when you save a file, your browser
 will refresh itself - and what's more, it can perform tasks such as
 compiling LESS to CSS before the browser reload.
 .
 This package contains the Python 3 version of livereload.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=livereload

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean --all
	rm -rf docs/_build
	rm -f debian/livereload.1

override_dh_auto_build:
	python3 -m sphinx -C -b html -Dmaster_doc=index -d docs/_build/.doctrees -N docs docs/_build/html
	dh_auto_build

override_dh_auto_test:

override_dh_installman:
	help2man -N \
		--version-string=$(DEB_VERSION_UPSTREAM) \
		-o debian/livereload.1 \
		-n "Automatic browser refresher" \
		debian/livereload
	dh_installman

wrap-and-sort:
	@if [ ! -d "debian" ] ; then \
		echo 'Run this from the top directory of the Debian source' >&2; \
		exit 1; \
	fi
	wrap-and-sort -st

=== debian/tests/control ===
Test-Command: python3 setup.py test
Depends: @,
         python3-setuptools,
         python3-django,
Restrictions: allow-stderr

## python-livereload 2.6.3

=== debian/changelog ===
python-livereload (2.6.3-2) unstable; urgency=medium

  * Wrap-and-sort
  * Use pytest to run the package's tests. (Closes: #970495)

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 07 Nov 2020 14:02:34 +0100

python-livereload (2.6.3-1) unstable; urgency=medium

  * New upstream release 2.6.3
  * d/control:
    - Demote node-less from Recommends to Suggests
      Closes: #962869
    - Bump Standards-Version to 4.5.0
    - Bump debhelper-compat level to 13

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 04 Sep 2020 22:23:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,14 @@
 Priority: optional
 Maintainer: Agustin Henze <tin@debian.org>
 Uploaders: Pierre-Elliott Bécue <peb@debian.org>
-Build-Depends:
- debhelper-compat (= 12),
- dh-python,
- help2man,
- python3-all,
- python3-setuptools,
- python3-sphinx,
- python3-tornado
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13),
+               dh-python,
+               help2man,
+               python3-all,
+               python3-setuptools,
+               python3-sphinx,
+               python3-tornado
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/lepture/python-livereload
 Vcs-Git: https://salsa.debian.org/debian/python-livereload.git
@@ -33,15 +32,18 @@
 
 Package: python3-livereload
 Architecture: all
-Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
-Recommends: node-less, python3-pyinotify
-Suggests:
- coffeescript,
- node-uglify,
- python-livereload-doc,
- python3-django,
- python3-flask,
- python3-slimmer,
+Depends: python3-pkg-resources,
+         python3-tornado,
+         ${misc:Depends},
+         ${python3:Depends}
+Recommends: python3-pyinotify
+Suggests: coffeescript,
+          node-less,
+          node-uglify,
+          python-livereload-doc,
+          python3-django,
+          python3-flask,
+          python3-slimmer
 Description: automatic browser refresher (Python 3)
  It is really boring for Web developers to need to refresh their browser
  every time they save a (CSS, JavaScript, or HTML) file. LiveReload will

=== debian/tests/control ===
Test-Command: cd tests && python3 -m pytest
Depends: python3-django, python3-pytest, python3-setuptools, @
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/lepture/@PACKAGE@/tags .*archive\/v?([0-9.]*).tar.gz

## python-livereload 2.7.0

=== debian/changelog ===
python-livereload (2.7.0-0.1) unstable; urgency=medium

  + Non-Maintainer Upload
  * Fix d/watch
  * New upstream version 2.7.0 (Closes: #1073477)
  * Use new dh-sequence-python3
  * Add build-dependency on:
    - furo
    - python3-myst-parser
    - python3-sphinxcontrib.programoutput

  [ Debian Janitor ]
  * Update lintian override info to new format on line 2-3.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Alexandre Detiste <tchet@debian.org>  Tue, 01 Oct 2024 07:56:19 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,16 @@
 Maintainer: Agustin Henze <tin@debian.org>
 Uploaders: Pierre-Elliott Bécue <peb@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               furo <!nodoc>,
                help2man,
                python3-all,
+               python3-myst-parser <!nodoc>,
                python3-setuptools,
-               python3-sphinx,
+               python3-sphinx <!nodoc>,
+               python3-sphinxcontrib.programoutput <!nodoc>,
                python3-tornado
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/lepture/python-livereload
 Vcs-Git: https://salsa.debian.org/debian/python-livereload.git
@@ -21,6 +24,7 @@
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Recommends: python3-livereload
+Multi-Arch: foreign
 Description: automatic browser refresher (documentation)
  It is really boring for Web developers to need to refresh their browser
  every time they save a (CSS, JavaScript, or HTML) file. LiveReload will

## python-livereload 2.7.1

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	find . -name '*~' -exec rm -f {} +
 
 install:
-	python setup.py install
+	python3 setup.py install
 
 docs:
 	$(MAKE) -C docs html

=== docs/Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 clean:
 	-rm -rf $(BUILDDIR)/*
 
-html:
+html: _themes/.git
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
@@ -149,3 +149,7 @@
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in $(BUILDDIR)/doctest/output.txt."
+
+
+_themes/.git:
+	git submodule update --init

=== docs/requirements.txt ===
sphinx
furo
myst-parser
sphinxcontrib-programoutput

=== debian/changelog ===
python-livereload (2.7.1-0.1) unstable; urgency=medium

  * Non-Maintainer Upload
  * New upstream version 2.7.1
  * Remove usage of deprecated python3-pkg-resources (Closes: #1083656)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 18 Jan 2025 16:07:12 +0100

=== debian/control ===
--- 
+++ 
@@ -36,8 +36,7 @@
 
 Package: python3-livereload
 Architecture: all
-Depends: python3-pkg-resources,
-         python3-tornado,
+Depends: python3-tornado,
          ${misc:Depends},
          ${python3:Depends}
 Recommends: python3-pyinotify

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_NAME=livereload
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean --all
@@ -14,7 +14,8 @@
 	rm -f debian/livereload.1
 
 override_dh_auto_build:
-	python3 -m sphinx -C -b html -Dmaster_doc=index -d docs/_build/.doctrees -N docs docs/_build/html
+#	python3 -m sphinx -C -b html -Dmaster_doc=index -d docs/_build/.doctrees -N docs docs/_build/html
+	sphinx-build -N docs docs/_build/html
 	dh_auto_build
 
 override_dh_auto_test:

=== debian/watch ===
version=4
https://github.com/lepture/@PACKAGE@/tags .*\/v?([0-9.]*).tar.gz
